import * as ros from '@alicloud/ros-cdk-core';
import { RosSyntheticTasks } from './arms.generated';
export { RosSyntheticTasks as SyntheticTasksProperty };
/**
 * Properties for defining a `SyntheticTasks`.
 * See https://www.alibabacloud.com/help/ros/developer-reference/datasource-arms-synthetictasks
 */
export interface SyntheticTasksProps {
    /**
     * Property refreshOptions: The refresh strategy for the datasource resource when the stack is updated. Valid values:
     * - Never: Never refresh the datasource resource when the stack is updated.
     * - Always: Always refresh the datasource resource when the stack is updated.
     * Default is Never.
     */
    readonly refreshOptions?: string | ros.IResolvable;
    /**
     * Property resourceGroupId: The ID of the resource group.
     */
    readonly resourceGroupId?: string | ros.IResolvable;
}
/**
 * Represents a `SyntheticTasks`.
 */
export interface ISyntheticTasks extends ros.IResource {
    readonly props: SyntheticTasksProps;
    /**
     * Attribute SyntheticTasks: The list of synthetic tasks.
     */
    readonly attrSyntheticTasks: ros.IResolvable | string;
    /**
     * Attribute TaskIds: The list of task IDs.
     */
    readonly attrTaskIds: ros.IResolvable | string;
}
/**
 * This class encapsulates and extends the ROS resource type `DATASOURCE::ARMS::SyntheticTasks`, which is used to query scheduled synthetic monitoring tasks.
 * @Note This class may have some new functions to facilitate development, so it is recommended to use this class instead of `RosSyntheticTasks`for a more convenient development experience.
 * See https://www.alibabacloud.com/help/ros/developer-reference/datasource-arms-synthetictasks
 */
export declare class SyntheticTasks extends ros.Resource implements ISyntheticTasks {
    protected scope: ros.Construct;
    protected id: string;
    readonly props: SyntheticTasksProps;
    protected enableResourcePropertyConstraint: boolean;
    /**
     * Attribute SyntheticTasks: The list of synthetic tasks.
     */
    readonly attrSyntheticTasks: ros.IResolvable | string;
    /**
     * Attribute TaskIds: The list of task IDs.
     */
    readonly attrTaskIds: ros.IResolvable | string;
    /**
     * Param scope - scope in which this resource is defined
     * Param id    - scoped id of the resource
     * Param props - resource properties
     */
    constructor(scope: ros.Construct, id: string, props?: SyntheticTasksProps, enableResourcePropertyConstraint?: boolean);
}
